package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1169028645879_0_22004740273246715 implements fr.ifremer.isisfish.equation.PopulationNaturalDeathRate {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.Population pop, fr.ifremer.isisfish.entities.PopulationGroup group, fr.ifremer.isisfish.entities.Zone zone) throws Exception {/*Pareto avec M(2.2) = 0.565 et M(15mois) = 1.5*/

if (group == null){ return 0;

} else if (group.getId() == 0){// return 87.5;
	if ("Rochebonne".equals(zone.getName())) {
	return 87.14;
	}else if ("LandesCote".equals(zone.getName())){
	return 87.75;
	}else if ("LandesLarge".equals(zone.getName())){
	 return 88.3;
	}else return 87.5;

}else if (group.getId() == 1) return 15.5;

else if (group.getId() == 2) return 9.2;

else if (group.getId() == 3) return 6.6;

else if (group.getId() == 4) return 5.1;

else if (group.getId() == 5) return 4.2;

else if (group.getId() == 6) return 3.5;

else if (group.getId() == 7) return 3.1;

else if (group.getId() == 8) return 2.7;

else if (group.getId() == 9) return 2.4;

else if (group.getId() == 10) return 2.2;

else if (group.getId() == 11) return 2.0;

else if (group.getId() == 12) return 1.9;

else if (group.getId() == 13) return 1.7;

else if (group.getId() == 14) return 1.6;

else if (group.getId() == 15) return 1.5;

else if (group.getId() < 17) return 1.4;

else return 1.5;
}
}
